Skip to main content
GET
/
rewards
/
claims
List claims
curl --request GET \
  --url https://api.example.com/rewards/claims \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "payout_group_id": "<string>",
      "claim_type": "CLAIM_ALL",
      "claim_schedule_id": "<string>",
      "onchain_status": "PENDING",
      "amount": "<string>",
      "tx_hash": "<string>",
      "addresses": [
        "<string>"
      ],
      "error_message": "<string>",
      "blockchain": "<string>",
      "asset_type": "<string>",
      "submitted_at": "2023-11-07T05:31:56Z",
      "confirmed_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
rewards:read_claims

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

payout_group_id
string
statuses
enum<string>[]
Available options:
PENDING,
SUBMITTED,
CONFIRMED,
FAILED
chain
string
jurisdiction
string
start_time
string<date-time>

Start time filter (inclusive).

end_time
string<date-time>

End time filter (inclusive).

limit
integer<int32>
page_cursor
string

Response

200 - application/json

A successful response.

items
A reward claim transaction · object[]

Claims in this page of results.

next_page_cursor
string

Token to retrieve the next page of results, or empty if there are no more results.